Description

Good Day,

Is there any plugins or a way that can automatically filter an issue, export it to excel and send it thru email everyday at exact time?

also we're using Redmine 1.2.1

History

#1 - 2013-06-28 03:26 - Stamos Yang

anyone can help me?

#2 - 2013-06-28 09:12 - Daniel Felix

Well I don't know a plugin which does this.

But you can do this with a cronjob on the server for example?

Just an example:

curl http://yourdomain/projects/redmine/issues.*csv*?query_id=*THE ID OF YOUR SAVED FILTER/QUERY*

On a normal configured Linux server, you can define this as a cronjob, which will by default mail the result of this request to a configured user.

example:

crontab -e

0 6 * * * MyUser curl http://www.redmine.org/projects/redmine/issues.csv?query_id=1234

This will create an autotask, which will run under "MyUser" and request the defined url via curl and pass the result to the usermail which is hold by

"MyUser", just for example.

You have to define this on your own. We won't know which configuration is used on your machine.

Best regards,

Daniel

#3 - 2013-06-28 09:12 - Daniel Felix

- Priority changed from High to Normal

#4 - 2013-06-28 18:15 - Stamos Yang

what if the filter is

due date in more than 1 day

and what do you mean MyUSer? Username of the User? like let say I have a user id JOHN_GO then it's JOHN_GO curl ....?

#5 - 2013-07-04 05:13 - Stamos Yang

please update me.. thanks

#6 - 2013-07-09 07:16 - Stamos Yang
Can anyone update me with this?
